#pragma once
#include "Ogre.h"

class AbstractTarget
{
public:
	virtual void halfPerish() = 0;
	virtual void perish() = 0;
	virtual float reduceHealth(float dist) = 0;
	virtual Ogre::Vector3 getPosition() = 0;
	virtual float getRadius() = 0;
};
