#pragma once
#include "Ogre.h"
#include "AbstractTarget.h"

class Crate : public AbstractTarget
{
	static int instanceCount;

	Ogre::SceneNode* crateNode;
	Ogre::Entity* crate;
	float radius;
	float health;
	float healthMax;

public:
	void halfPerish();
	void perish();
	float reduceHealth(float dist);
	Ogre::Vector3 getPosition() { return crateNode->getPosition(); }
	float getRadius() { return radius; }

	Crate(Ogre::SceneManager* sm, float x, float y, float z);
	~Crate(void);
};
