#pragma once
#include "Ogre.h"

class Hud
{
	float fps;
	float timeFromSecond;
	int framesInSecond;
	bool showCrosshair;
	bool showMagazineCounter;
	
public:
	int ammo;
	int magazine;
	float hits;

	void reloadMagazine();
	void endGame();
	void update(float t, float dt);
	void setShowCrosshair(bool b) {showCrosshair = b;}
	void setShowMagazineCounter(bool b) {showMagazineCounter = b;}
	Hud();
	~Hud() {}
};




