#pragma once
#include "Ogre.h"
#include "Truck.h"

class AbstractTarget;

class Level
{
	Truck* truck;
	std::deque<AbstractTarget*> targetList;

public:
	float shootTargetAt(Ogre::Vector3);
	bool isFreePosInside(Ogre::Vector3);
	bool isFreePosOutside(Ogre::Vector3);
	//Ogre::SceneNode* getDeckNode() { return truck->getDeckNode(); }
	Ogre::SceneNode* getTruckNode() { return truck->getSceneNode(); }

	void update(float t, float dt) { truck->update(t, dt); }

	Level(Ogre::SceneManager* sm);
	~Level(void);
};
