#pragma once
#include "Ogre.h"
#include "AbstractTarget.h"

class Target : public AbstractTarget
{
	static int instanceCount;

	Ogre::SceneNode* targetNode;
	Ogre::Entity* target;
	float radius;
	float health;
	float healthMax;

public:
	void halfPerish();
	void perish();
	float reduceHealth(float dist);
	Ogre::Vector3 getPosition() { return targetNode->getPosition() + Ogre::Vector3(0,8,0); }
	float getRadius() { return radius; }

	Target(Ogre::SceneManager* sm, float x, float y, float z);
	~Target(void);
};
