#include "stdafx.h"
#include "ThirdPersonCamera.h"

using namespace Ogre;

ThirdPersonCamera::ThirdPersonCamera(void)
{
	camera = 0;
	character = 0;
	//angle1 = 0;
	//angle2 = 0;
	//rot = Quaternion::IDENTITY;
	//camHeight = 1.0f;
	camDist = 35;
	//targetHeight = 10;
	//motionBlend = 1.0f;
	aim = false;
}

ThirdPersonCamera::~ThirdPersonCamera(void)
{
}

void ThirdPersonCamera::reset()
{
	if(camera == 0 || character == 0)
		return;

	Vector3 dir = character->getLookDirection();
	//dir.y = 0;
	//dir.normalise();

	camera->setPosition(character->getPosition() - dir * camDist + Vector3(0, 5, 0));
	//camera->lookAt(character->getPosition() + Vector3(0, 5, 0));
	camera->setDirection(dir);
}

void ThirdPersonCamera::update(float t, float dt)
{
/*	Vector3 currentPos = camera->getPosition();

	Vector3 dir = character->getDirection();
	dir.y = 0;
	dir.normalise();
	dir.y = -camHeight;

	Vector3 newPos = character->getPosition() - dir * camDist;
	camera->setPosition(motionBlend * dt * newPos + (1.0f - motionBlend * dt) * currentPos);
	camera->lookAt(character->getPosition() + Vector3(0,targetHeight,0));
	*/
	if (aim)
	{
		Vector3 dir = character->getLookDirection();
		Vector3 right = dir.crossProduct(Vector3(0,1,0)).normalisedCopy();

		camera->setPosition(character->getPosition() - dir * 10 + right * 4 + Vector3(0, 10, 0));
		camera->setDirection(dir);
	}
	else
	{
		Vector3 dir = character->getLookDirection();

		camera->setPosition(character->getPosition() - dir * camDist + Vector3(0, 15, 0));
		camera->setDirection(dir);
	}
	character->setRayOrigin(camera->getPosition());
}



