#pragma once
#include "Ogre.h"
#include "PlayerCharacter.h"

class ThirdPersonCamera
{
protected:
	Ogre::Camera* camera;
	PlayerCharacter* character;	

	//Ogre::Radian angle1;
	//Ogre::Radian angle2;
	//Ogre::Quaternion rot;
	//float camHeight;
	float camDist;
	//float targetHeight;
	//float motionBlend;

	bool aim;

public:
	ThirdPersonCamera();
	~ThirdPersonCamera(void);
	void setCharacter(PlayerCharacter* c) { character = c; reset();}
	void setCamera(Ogre::Camera* camera) { this->camera = camera; reset();}
	void setAim(bool b) { aim = b; }
	void update(float t, float dt);
	void reset();
};
